package com.elitesland.router.util;


import com.alibaba.nacos.api.NacosFactory;
import com.alibaba.nacos.api.config.ConfigService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Properties;

/*
 *@Author Horbin.Zhang
 *@Date 2021-02-12 16:29
 *@Description
 */

@Component
public class GateWayNacosUtils {

    @Value("${spring.cloud.nacos.config.server-addr}")
    private String serverAddr;

    @Value("${gateway.nacos.routeinfo.group}")
    private String group;

    @Value("${gateway.nacos.routeinfo.dataid}")
    private String routeConfigDataId;

    public String  getRouteDefinitionsFromNacosServer() throws Exception{
        ConfigService configService = getNacosConfigService();
        String initConfigInfo = configService.getConfig(routeConfigDataId, group, 5000);
        return initConfigInfo;
    }
    public ConfigService getNacosConfigService() throws Exception{
        Properties properties = new Properties();
        properties.put("serverAddr", serverAddr);
        ConfigService configService = NacosFactory.createConfigService(properties);
        return configService;
    }
    public String getNacosConfigGroup(){
        return  this.group;
    }
    public String getNacosConfigDataIdForGateWayDefinition(){
        return  this.routeConfigDataId;
    }

}
